Skip to main content
GET
List Campaigns

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard [blocked].

Query Parameters

id
string
status
enum<string>
Available options:
scheduled,
in-progress,
ended
page
number

This is the page number to return. Defaults to 1.

Required range: x >= 1
sortOrder
enum<string>

This is the sort order for pagination. Defaults to 'DESC'.

Available options:
ASC,
DESC
limit
number

This is the maximum number of items to return. Defaults to 100.

Required range: 0 <= x <= 1000
createdAtGt
string<date-time>

This will return items where the createdAt is greater than the specified value.

createdAtLt
string<date-time>

This will return items where the createdAt is less than the specified value.

createdAtGe
string<date-time>

This will return items where the createdAt is greater than or equal to the specified value.

createdAtLe
string<date-time>

This will return items where the createdAt is less than or equal to the specified value.

updatedAtGt
string<date-time>

This will return items where the updatedAt is greater than the specified value.

updatedAtLt
string<date-time>

This will return items where the updatedAt is less than the specified value.

updatedAtGe
string<date-time>

This will return items where the updatedAt is greater than or equal to the specified value.

updatedAtLe
string<date-time>

This will return items where the updatedAt is less than or equal to the specified value.

Response

200 - application/json
results
object[]
required
metadata
object
required